%global _description\
Nyx is a command-line monitor for Tor. With this you can get detailed\
real-time information about your relay such as bandwidth usage,\
connections, logs, and much more.

Name:           nyx
Version:        2.0.4
Release:        2%{?dist}
Summary:        Command-line monitor for Tor
License:        GPLv3
URL:            https://nyx.torproject.org
Source0:        https://files.pythonhosted.org/packages/source/n/%{name}/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
# Tests disabled
#BuildRequires:  python3-stem
#BuildRequires:  python3-pytest-flakes
#BuildRequires:  python3-pytest-pep8
Requires:       python3-stem
Suggests:       %{name}-doc = %{version}-%{release}
Provides:       tor-arm = %{version}-%{release}
Obsoletes:      tor-arm <= 1.4.5.0-17
Obsoletes:      tor-arm-gui <= 1.4.5.0-17
Obsoletes:      tor-arm-devel <= 1.4.5.0-17

%description %_description

%package doc
Summary:        %summary

%description doc %_description

%prep
%autosetup

%build
%py3_build

%install
%py3_install
install -D -m 0644 nyx.1 %{buildroot}%{_mandir}/man1/nyx.1

%check
# Tests disabled
#%%{__python3} run_tests.py

%files
%license LICENSE
%{_bindir}/%{name}
%{python3_sitelib}/%{name}
%{python3_sitelib}/%{name}-%{version}*-py*.egg-info

%files doc
%license LICENSE
%doc web
%{_mandir}/man1/nyx.1*

%changelog
* Fri Nov 10 2017 Juan Orti Alcaine <jorti@fedoraproject.org> - 2.0.4-2
- Add Obsoletes for all tor-arm subpackages

* Wed Nov 08 2017 Juan Orti Alcaine <jorti@fedoraproject.org> - 2.0.4-1
- Version 2.0.4

* Wed Jul 12 2017 Juan Orti Alcaine <jorti@fedoraproject.org> - 1.4.6-2.20170712git08eec6f
- Use Python3
- Doc subpackage

* Wed Jul 12 2017 Juan Orti Alcaine <jorti@fedoraproject.org> - 1.4.6-1.20170712git08eec6f
- First release of nyx
